#! /usr/bin/env python

import requests
import webbrowser

def main(req):
  Amount = 1000
  MerchantID = "XXXX-XXXX-XXXX-XXXXXXXXXXXXXXXXXXXXX"
  callback = "http://www.YOUR-SITE.com/verify.py"
  url = "https://gooyapay.ir/webservice/rest/PaymentRequest"
  data = {"MerchantID":MerchantID, "Amount":Amount, "CallbackURL": callback}
  headers = {"charset": "utf-8", "Content-type": "application/json", "Accept": "application/json"}
  rq = requests.post(url, json=data, headers=headers)
  rs = rq.json()
  print ("Object Received : ", rs)
  print ()
  print ()
  if rs['Status'] == "100":
    print ("Final Result :")
    print ("Authority of Payment is :", rs['Authority'])
    print ("Contine Pay (redirect user) at : ", rs['PaymentUrl'])
    webbrowser.open(rs['PaymentUrl'])
  else:
    print ("Final Result :")
    print ("Payment Request Failed! Reason : GooyaPay Error Code (" + rs['Status'] + ")")
    print ("You can check the errors list at : https://gooyapay.ir/public/response")

if __name__ == "__main__":
  main({})