#! /usr/bin/env python

import requests

def index(req):
  postData = req.form
  PaymentStatus = str(postData['PaymentStatus'].value)
  if PaymentStatus == "OK":
    Amount = 1000
    MerchantID = "XXXX-XXXX-XXXX-XXXXXXXXXXXXXXXXXXXXX"
    Authority = str(postData['Authority'].value)
    url = "https://gooyapay.ir/webservice/rest/PaymentVerification"
    data = {"MerchantID":MerchantID, "Amount":Amount, "Authority": Authority}
    headers = {"charset": "utf-8", "Content-type": "application/json", "Accept": "application/json"}
    rq = requests.post(url, json=data, headers=headers)
    rs = rq.json()
    print ("Object Received : ", rs)
    print ()
    print ()
    if rs['Status'] == "100":
      print ("Final Result :")
      print ("Payment Completed", "Your Payment Track Code is :", rs['RefID'])
    else:
      print ("Final Result :")
      print ("Payment Verify Failed! Reason : GooyaPay Error Code (" + rs['Status'] + ")")
      print ("You can check the errors list at : https://gooyapay.ir/public/response")
  else:
      print ("Final Result :")
      print ("Payment Cancelled By User")


### call index method with received POST data from gateway
